OpenTTD Source: Data Fields - Variables

OpenTTD Source 14.0-beta3

### - t -

- t : TownScopeResolver
- tab : VehicleDetailsWindow
- table : AirportSpec , LeagueTableElement , SnowLine
- tabs : StringData
- tag : SaveLoadFormat
- tags : ContentInfo
- tar_file : ScriptInfo , ScriptScanner
- target : ListOrderChange , MpsMachine , StringIDMapping
- target_count : IndustryTypeBuildData
- targetairport : Aircraft
- Tcapacity : SmallArray< T, B, N >
- te : BuildVehicleWindow
- tempo : MidiFile::TempoChange
- TEMPO_RATE : MpsMachine
- tempo_ticks : MpsMachine
- tempos : MidiFile
- terminals : AirportFTAClass
- terraform_frame_burst : ConstructionSettings
- terraform_limit : CompanyProperties
- terraform_per_64k_frames : ConstructionSettings
- terraform_tile_proc : TileTypeProcs
- terrain_type : DifficultySettings
- tex : OpenGLSprite
- text : AllowedSubtags , CargoSuffix , Goal , GRFText , Industry , LeagueTableElement , LoggedChangeRevision , NamePart , OskWindow , StoryPageElement , TextfileWindow::Line , Town
- text_btn : OskWindow
- text_colour : NWidgetCore
- text_dir : LanguagePackHeader
- text_lines : NWidgetPart::NWidgetPartUnion
- text_offset : SignListWindow
- text_position : AboutWindow
- text_size : NWidgetCore
- text_style : NWidgetPart::NWidgetPartUnion
- text_width : PerformanceLeagueWindow , ScriptLeagueWindow
- textref_stack : CommandCost , ErrorMessageData
- textref_stack_grffile : CommandCost , ErrorMessageData
- textref_stack_size : CommandCost , ErrorMessageData
- tgen_smoothness : GameCreationSettings
- thread : LinkGraphJob
- threaded_saves : GUISettings
- ti : AirportTileTable , HangarTileTable
- tick : LoggedAction , NewGRFProfiler::Call
- tick_counter : Vehicle
- tickdiv : MidiFile
- ticker_scroll_interval : StatusBarWindow
- TICKER_STOP : StatusBarWindow
- ticks : VideoDriver_Null
- TICKS_PER_SECOND : Ticks
- ticks_playing : NetworkServerGameInfo
- ticktime : MidiFile::DataBlock , MidiFile::TempoChange
- tile : AirportScopeResolver , AirportTileScopeResolver , BasePersistentStorageArray , CanalScopeResolver , DiagonalTileArea , FindDepotData , HouseScopeResolver , IndustriesScopeResolver , IndustryTileScopeResolver , ObjectScopeResolver , OrderBackup , OrthogonalTileArea , PBSTileInfo , RailTypeScopeResolver , RoadStopScopeResolver , RoadTypeScopeResolver , SpotData , StationScopeResolver , Tile , TileAndStation , TileInfo , TileIterator , Vehicle
- tile_count : StatueBuildSearchData
- tile_mask : Map
- tile_to_new_height : TerraformerState
- tileh : TileInfo
- tiles_scope : AirportTileResolverObject
- time : IConsoleLine , LinkProperties , NewGRFProfiler::Call , Script_Suspend
- time_mode : ScriptStorage
- time_since_pickup : GoodsEntry
- time_until_rebuild : Town
- timekeeping_units : EconomySettings
- timeout_timer : Window
- times_longterm : FramerateWindow
- times_shortterm : FramerateWindow
- timestamps : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- timetable_arrival_departure : GUISettings
- timetable_duration : OrderList
- timetable_mode : GUISettings
- timetable_start : BaseConsist
- tiny_step_height : VehicleGroupWindow
- title : ExpensesList , FileToSaveLoad , HighScore , LeagueTable , SettingsPage , StoryPage
- to : LinkRefresher::Hop
- to_euro : CurrencySpec
- to_load_data : ScriptConfig
- token : ClientNetworkGameSocketHandler , ClientNetworkStunSocketHandler , ClientNetworkTurnSocketHandler , NetworkAskRelayWindow , NetworkDirectConnecter , NetworkReuseStunConnecter
- tool_tip : NWidgetCore
- toolbar_caption : RailTypeInfo , RoadTypeInfo
- toolbar_pos : GUISettings
- tooltip : ButtonCommon , NWidgetPartDataTip
- top : Blitter::BlitterParams , ParentSpriteToDraw , TextfileWindow::Line , Viewport , ViewportSign , Window
- top_end : CargoesField
- total_advance : ICURun
- total_bytes : BaseNetworkContentDownloadStatusWindow
- total_duration : OrderList
- total_files : BaseNetworkContentDownloadStatusWindow
- total_size : CursorVars , PacketWriter
- total_width : CompanyInfrastructureWindow
- town : BaseStation , HouseScopeResolver , Industry , Object , TownAuthorityWindow , TownViewWindow
- town_acceptance_effect : CargoSpec
- town_cargo_scale : EconomySettings
- town_cargogen_mode : EconomySettings
- town_cn : Depot , Waypoint
- town_council_tolerance : DifficultySettings
- town_growth_rate : EconomySettings
- TOWN_GROWTH_TICKS : Ticks
- town_layout : EconomySettings , FoundTownWindow
- town_name : GameCreationSettings
- town_noise_population : EconomySettings
- town_production_cargoes : CargoSpec
- town_production_effect : CargoSpec
- town_production_multiplier : CargoSpec
- town_scope : AirportResolverObject , IndustriesResolverObject , ObjectResolverObject , RoadStopResolverObject , StationResolverObject , TownResolverObject
- town_size : FoundTownWindow
- townname_editbox : FoundTownWindow , TownDirectoryWindow
- townnameparts : FoundTownWindow
- townnamevalid : FoundTownWindow
- track_ns : RailTypeInfo
- track_y : RailTypeInfo
- trackdir : PBSTileInfo
- tracking_number : ClientNetworkTurnSocketHandler , NetworkDirectConnecter , NetworkReuseStunConnecter
- tracknr : MusicSongInfo
- tractive_effort : RailVehicleInfo , RoadVehicleInfo
- train_acceleration_model : VehicleSettings
- train_signal_side : ConstructionSettings
- train_slope_steepness : VehicleSettings
- train_station : BaseStation
- traininfo_vehicle_pitch : GRFFile
- traininfo_vehicle_width : GRFFile
- tram : GRFLoadedFeatures
- tram_speed : TileDesc
- tramtype : TileDesc
- tramtype_list : GRFFile
- transfers : CargoDataEntry
- translated : LangString
- translated_cases : LangString
- translation : StringReader
- transmitted : NetworkSurveyHandler
- transmitted_cv : NetworkSurveyHandler
- transport_name : BridgeSpec
- transported : Industry::ProducedHistory
- travel_time : Order
- travel_time_sum : LinkGraph::BaseEdge
- travelled : CargoPacket
- tree_frame_burst : ConstructionSettings
- tree_limit : CompanyProperties
- tree_per_64k_frames : ConstructionSettings
- tree_placer : GameCreationSettings
- tree_to_plant : BuildTreesWindow
- triggers : AnimationInfo
- trip_occupancy : Vehicle
- truck_station : Station
- truck_stops : Station
- truncate_interval : IConsoleWindow
- trusted : TextfileWindow
- try_execute_active : CrashLogOSX , CrashLogUnix , CrashLogWindows
- Tsize : FixedSizeArray< T, C >
- ttd_airport_type : AirportSpec
- tunnel : RailTypeInfo , RoadTypeInfo
- turn_counter : Aircraft
- turn_handlers : ClientNetworkCoordinatorSocketHandler
- type : Airport , AllowedSubtags , BaseVehicle , CargoesField , CheatEntry , ChunkHandler , CommandInfo , ContentInfo , DriverFactoryBase , EconomySettings , Engine , EngineIDMapping , Goal , GRFParameterInfo , IndustriesScopeResolver , Industry , IndustryCargoesWindow , IniGroup , LegendAndColour , LoggedChangeOldVersion , NewsItem , NWidgetBase , NWidgetPart , Object , OldChunks , Order , PoolBase , RoadStopScopeResolver , ServerAddress , SettingFilter , SpriteCache , SpriteLoader::Sprite , StoryPageElement , StringParameter , Tile::TileBase , TownNameParams , UnmappedChoiceList , VehicleListIdentifier
- type_hides : SettingFilter
- types : ContentListFilterData